<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="VVsourceAC">
  <refnamediv>
    <refname>VVsourceAC</refname>
    <refpurpose>Variable AC voltage source</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/VVsourceAC.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_VVsourceAC">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="VVsourceAC">Variable AC voltage source</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_VVsourceAC">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_VVsourceAC">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_VVsourceAC">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_VVsourceAC">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_VVsourceAC">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="VVsourceAC">Modelica model</link>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_VVsourceAC">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_VVsourceAC">
    <title>Description</title>
    <para>
The variable voltage source block is a model for a controlled AC
voltage source. This component provides a sinusoid voltage across its
ports. The amplitude of the output voltage is governed by the explicit
input and the frequency is defined by the user. The ohmic resistance
of the block is zero.

</para>
  </refsection>
  <refsection id="Dialogbox_VVsourceAC">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/gui/VVsourceAC_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Frequency (Hz)</emphasis>
        </para>
        <para> Frequency of the output sinosoid voltage</para>
        <para> Properties : Type 'vec' of size -1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_VVsourceAC">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'p'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'VA'
</para>
            <para>
Explicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'n'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Parameters :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'f'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 50
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis> VVsourceAC</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_VVsourceAC">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/VVsourceAC.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Modelicamodel_VVsourceAC">
    <title>Modelica model</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/VVsourceAC.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
